> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Notification Settings

> Retrieves the current notification settings for a card. The settings include the notification method for different types of transactions.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /cards/notification-settings
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/notification-settings:
    get:
      tags:
        - Cards
      summary: Get Card Notification Settings
      description: >-
        Retrieves the current notification settings for a card. The settings
        include the notification method for different types of transactions.
      operationId: GetCardNotificationSettings
      parameters:
        - name: cardAccountId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Card account ID of the card to get notification settings.
        - name: cardId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Card ID of the card to get notification settings.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  cardAccountId:
                    type: string
                    format: uuid
                    description: >-
                      Card account ID of the card for which notification
                      settings were retrieved.
                  cardId:
                    type: string
                    format: uuid
                    description: >-
                      Card ID of the card for which notification settings were
                      retrieved.
                  purchaseNotification:
                    $ref: '#/components/schemas/NotificationMethod'
                    description: Notification method for purchase transactions.
                  atmNotification:
                    $ref: '#/components/schemas/NotificationMethod'
                    description: Notification method for ATM withdrawals.
                  onlinePurchaseVerification:
                    $ref: '#/components/schemas/NotificationMethod'
                    description: >-
                      Notification method for online purchase verification
                      codes.
                  fraudAlert:
                    $ref: '#/components/schemas/NotificationMethod'
                    description: Notification method for fraud alerts.
              examples:
                success:
                  summary: Example Successful Response
                  value:
                    cardAccountId: 9e5aa301-6fa5-4526-98ac-12c1343e63fc
                    cardId: 373fa422-0b8c-4f09-ac74-64a5a2c4241e
                    purchaseNotification: sms
                    atmNotification: whatsapp
                    onlinePurchaseVerification: auto
                    fraudAlert: whatsapp
components:
  schemas:
    NotificationMethod:
      type: string
      enum:
        - sms
        - whatsapp
        - auto
        - 'off'
      description: >-
        Method of notification. Possible values are 'sms', 'whatsapp', 'auto',
        or 'off'.
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````